C******************** START FILE FLDXTR.FOR ; GROUP URDUTS ******************
C---------------------------------------------------------
C& FLDXTR  UREAD EXTRACT FIELD LIMITS FROM UNPACKED STRING
C
C  SUPPLY UNPACKED STRING ARRAY, SEARCH LIMITS, START AND
C  STOP DELIMITER CHARACTER
C
C  ROUTINE RETURNS LIMITS OF NONBLANK INFO BETWEEN DELIMITERS
C
      SUBROUTINE FLDXTR(DBUFF,ISTART,IFIN,ICHAR1,ICHAR2,ILOC1,ILOC2)
C
      CHARACTER*1 DBUFF(IFIN),ICHAR1,ICHAR2
C
      DO 10 I=ISTART,IFIN
      IF(DBUFF(I).EQ.ICHAR1) GO TO 15
 10   CONTINUE
 15   CONTINUE
      ILOC1=I+1
C
      DO 20 I=IFIN,ISTART,-1
      IF(DBUFF(I).EQ.ICHAR2) GO TO 25
 20   CONTINUE
 25   CONTINUE
      ILOC2=I-1
C
      IF(ILOC2.LT.ILOC1) RETURN
C  DO NOT COUNT EXTERNAL BLANKS
      DO 30 I=ILOC1,ILOC2
      IF(DBUFF(I).NE.' ') GO TO 35
 30   CONTINUE
      I=ILOC2+1
 35   CONTINUE
      ILOC1=I
      IF(ILOC2.LT.ILOC1) RETURN
C
      DO 40 I=ILOC2,ILOC1,-1
      IF(DBUFF(I).NE.' ') GO TO 45
 40   CONTINUE
 45   CONTINUE
      ILOC2=I
      RETURN
      	END
C******************** END FILE FLDXTR.FOR ; GROUP URDUTS ******************
